Follow

Mad Max coming to Mac and Linux this October

Feral Interactive announced today that the open world, third-person action game Mad Max is coming to Mac and Linux. "We’re delighted to be bringing Mad Max to Mac and Linux PC," said David Stephen, Managing Director at Feral Interactive.

Mad Max coming to Mac and Linux this October
Feral Interactive announced today that the open-world, third-person action game Mad Max is coming to Mac and Linux on October 20th, 2016. Developed by Avalanche Studios and published by Warner Bros. Interactive Entertainment on consoles and Windows PC, Mad Max features an original story set within the universe of Mad Max.

Players become Max, the lone warrior who must fight for survival against The Wasteland’s savage factions by engaging in all-out melée combat and vicious vehicular combat. Following the theft of his Interceptor, Max teams up with the gifted mechanic Chumbucket to build the ultimate survival vehicle, the “Magnum Opus.”  Players design, customize and upgrade their vehicle by choosing from different car chassis and a myriad of upgrades including mounted weapons, armor and engines in order to escape to the Plains of Silence. As they navigate The Wasteland, gamers will encounter a huge variety of enemies, in a gigantic post-apocalyptic open-world with a range of immersive locations, many of them remnants of the world before the apocalypse.

“We’re delighted to be bringing Mad Max to Mac and Linux PC,” said David Stephen, Managing Director at Feral Interactive, “With its exhilarating combat, outlandish characters and beautiful end-of-the-world visuals, Mad Max perfectly captures the atmosphere and thrill of The Wasteland.”

Minimum Mac system requirements call for an Intel i5 3.2 GHz CPU with at least 8GB RAM, 2GB or better graphics card, and Mac OS X 10.11.6 or later. The game also requires an NVIDIA 680 or AMD R9 290 series graphics card or better.

Minimum Linux system requirements call for an Intel i5 or AMD FX8350 3.4 GHz CPU with at least 8GB RAM, 2GB or better graphics card, and SteamOS 2.0 or Ubuntu 16.04 or better. The game also requires an NVIDIA 660ti series graphics card or better, running driver version 367.35 or later. AMD and Intel GPUs are not supported at the time of release.

A minisite containing further information is available now at https://www.feralinteractive.com/en/games/madmax/

Do you like the article?

0 0

Leave a Reply

avatar
  Subscribe  
Notify of

Lost Password

Please enter your username or email address. You will receive a link to create a new password via email.